Bug 1505745

Summary: [Wayland] Some uninitialized variable are used in nsClipboardWayland.cpp of Firefox on Wayland
Product: [Fedora] Fedora Reporter: ashie <ashie>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: alexl, gecko-bugs-nobody, jhorak, john.j5live, kengert, pjasicek, rhughes, rstrode, sandmann, stransky
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-17 12:27:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1054334    
Attachments:
Description Flags
Fix a crash which causes when there is no keyboard none

Description ashie@clear-code.com 2017-10-24 08:29:09 UTC
Created attachment 1342606 [details]
Fix a crash which causes when there is no keyboard

Description of problem:

I found an issue that some uninitialized variable are used in nsClipboardWayland.cpp of Firefox on Wayland. It will causes crash when no keyboard presents. Please see the attached patch for more detail.

The crash is reproduced on my embedded board but not confirmed on Fedora yet.

Comment 1 Martin Stransky 2017-10-27 12:34:51 UTC
Thanks!

Comment 2 Martin Stransky 2018-01-17 12:27:07 UTC
Moving upstream, https://bugzilla.mozilla.org/show_bug.cgi?id=1431049